[Emulated AD1980 AC97 inside Virualbox 5.0, playback] no master playback volume

Bug #1487168 reported by Gene Soo on 2015-08-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Virtualbox
New
Unknown
alsa-driver (Ubuntu)
Medium
Unassigned
virtualbox (Ubuntu)
Medium
Unassigned

Bug Description

Volume Slider is only controlling PCM channel and is not controlling Master. In effect, Master is restricting the audio level to the default of approximately 45 Percent. In order to raise the Master Volume Level, alsamixer is capable of changing Master. Without manually raising Master to Max Volume, Volume Slider can only control volume from 0-45% which is the default level of Master.

Description: Ubuntu Wily Werewolf (development branch)
Release: 15.10

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
Uname: Linux 4.1.0-3-generic x86_64
ApportVersion: 2.18-0ubuntu7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: gene 1330 F.... pulseaudio
                      gene 1922 F.... alsamixer
CurrentDesktop: Unity
Date: Thu Aug 20 13:00:57 2015
InstallationDate: Installed on 2015-08-19 (1 days ago)
InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150819)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_Card: Built-in Audio - Intel 82801AA-ICH
Symptom_Type: Volume slider, or mixer problems
Title: [ICH - Intel 82801AA-ICH, playback] volume slider problem
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.board.name: VirtualBox
dmi.board.vendor: Oracle Corporation
dmi.board.version: 1.2
dmi.chassis.type: 1
dmi.chassis.vendor: Oracle Corporation
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr:
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH

Gene Soo (genesoo77072) wrote :

it depend on how virtualbox 5.0 emulate ad1980 ac97

summary: - [ICH - Intel 82801AA-ICH, playback] volume slider problem
+ [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
+ problem
Download full text (3.6 KiB)

I don't understand this response.
I am not an experienced programmer with respect to these platforms and have
no control what Virtual Box presents back to the OS.
I will say that this problem effects multiple distributions.
Particularly Kubuntu-KDE, Edubuntu, Lubuntu, & Xubuntu.
Luckily, the following distributions are not impacted, Ubuntu Gnome,
Ubuntu-Unity. Ubuntu-Studio.
If there is a interface problem between the Audio support software and
hardware/visualization, those issues need to be resolved between those two
owning groups.
I would recommend the development team research the differences of how
Audio is treated across the platforms that fail vs the ones that work.
I am sure there is differences and there is something going wrong in the
ones that are failing.
I would also guess that it is not likely that Virtual Box is the direct
cause because the list of work distros runs on the same Virtualbox platform
that serves the failing distros.

On Thu, Aug 20, 2015 at 9:08 PM, Raymond <email address hidden> wrote:

> it depend on how virtualbox 5.0 emulate ad1980 ac97
>
> ** Summary changed:
>
> - [ICH - Intel 82801AA-ICH, playback] volume slider problem
> + [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> New
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_Card: Built-in Audio - Intel 82801AA-ICH
> Symptom_Type: Volume slider, or mixer problems
> Title: [ICH - Intel 82801AA-ICH, playback] volume slider problem
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/01/2006
> dmi.bios.vendor: innotek GmbH
> dmi.bios.version: VirtualBox
> dmi.board.name: VirtualBox
> dmi.board.vendor: Oracle Corporation
> dmi.board.versi...

Read more...

those emulated sigmatel ac97 codec inside virtualbox 4.x support stereo only

which host os are you using linux/windows ?

do you have a real sound card support 5.1 ?

which audio backend do your virtualbox5.0 using ?

it seem that the emulated ad1980 ac97 support multi channel

profiles:
  input:analog-stereo: Analog Stereo Input (priority 60, available: unknown)
  output:analog-stereo: Analog Stereo Output (priority 6000, available: unknown)
  output:analog-stereo+input:analog-stereo: Analog Stereo Duplex (priority 6060, available: unknown)
  output:analog-surround-21: Analog Surround 2.1 Output (priority 800, available: unknown)
  output:analog-surround-21+input:analog-stereo: Analog Surround 2.1 Output + Analog Stereo Input (priority 860, available: unknown)
  output:analog-surround-40: Analog Surround 4.0 Output (priority 700, available: unknown)
  output:analog-surround-40+input:analog-stereo: Analog Surround 4.0 Output + Analog Stereo Input (priority 760, available: unknown)
  output:analog-surround-41: Analog Surround 4.1 Output (priority 800, available: unknown)
  output:analog-surround-41+input:analog-stereo: Analog Surround 4.1 Output + Analog Stereo Input (priority 860, available: unknown)
  output:analog-surround-50: Analog Surround 5.0 Output (priority 700, available: unknown)
  output:analog-surround-50+input:analog-stereo: Analog Surround 5.0 Output + Analog Stereo Input (priority 760, available: unknown)
  output:analog-surround-51: Analog Surround 5.1 Output (priority 800, available: unknown)
  output:analog-surround-51+input:analog-stereo: Analog Surround 5.1 Output + Analog Stereo Input (priority 860, available: unknown)
  off: Off (priority 0, available: unknown)
 active profile: <output:analog-stereo+input:analog-stereo>

Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Raymond (superquad-vortex2) wrote :

https://www.virtualbox.org/browser/vbox/trunk/src/VBox/Devices/Audio/DevIchAc97.cpp

any reason to use the emulated ac97 and ad1980 codec ?

you can select the emulated hda and stac9221 hda codec

Download full text (5.2 KiB)

Lots of questions, I'll attempt to answer as best as I can.

First. Host OS Level:
uname -a
Linux gwsux79 3.13.0-62-generic #102-Ubuntu SMP Tue Aug 11 14:29:36 UTC
2015 x86_64 x86_64 x86_64 GNU/Linux

Second, Sound Card/Sound Support: I don't understand the question about
"Real Sound Card Support 5.1".

Onboard Audio Intel Motherboard DX79SI The following URL is documentation
for the Motherboard.
https://downloadmirror.intel.com/20560/eng/DX79SI_TechProdSpec06.pdf

Third question asks Which Audio Backend is being used for VirtualBox 5.0?
I take the the defaults(Audio) for installing any Guest OSes. When I look
at the Settings for the guest I reported this issue, it lists
Host Driver: PulseAudio
Controller: ICH AC97

I hope this answers your questions.

On Thu, Aug 20, 2015 at 11:19 PM, Raymond <email address hidden>
wrote:

> those emulated sigmatel ac97 codec inside virtualbox 4.x support stereo
> only
>
> which host os are you using linux/windows ?
>
> do you have a real sound card support 5.1 ?
>
> which audio backend do your virtualbox5.0 using ?
>
> it seem that the emulated ad1980 ac97 support multi channel
>
> profiles:
> input:analog-stereo: Analog Stereo Input (priority 60,
> available: unknown)
> output:analog-stereo: Analog Stereo Output (priority 6000,
> available: unknown)
> output:analog-stereo+input:analog-stereo: Analog Stereo
> Duplex (priority 6060, available: unknown)
> output:analog-surround-21: Analog Surround 2.1 Output
> (priority 800, available: unknown)
> output:analog-surround-21+input:analog-stereo: Analog
> Surround 2.1 Output + Analog Stereo Input (priority 860, available: unknown)
> output:analog-surround-40: Analog Surround 4.0 Output
> (priority 700, available: unknown)
> output:analog-surround-40+input:analog-stereo: Analog
> Surround 4.0 Output + Analog Stereo Input (priority 760, available: unknown)
> output:analog-surround-41: Analog Surround 4.1 Output
> (priority 800, available: unknown)
> output:analog-surround-41+input:analog-stereo: Analog
> Surround 4.1 Output + Analog Stereo Input (priority 860, available: unknown)
> output:analog-surround-50: Analog Surround 5.0 Output
> (priority 700, available: unknown)
> output:analog-surround-50+input:analog-stereo: Analog
> Surround 5.0 Output + Analog Stereo Input (priority 760, available: unknown)
> output:analog-surround-51: Analog Surround 5.1 Output
> (priority 800, available: unknown)
> output:analog-surround-51+input:analog-stereo: Analog
> Surround 5.1 Output + Analog Stereo Input (priority 860, available: unknown)
> off: Off (priority 0, available: unknown)
> active profile: <output:analog-stereo+input:analog-stereo>
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> New
>
> Bug description:
> ...

Read more...

Gene Soo (genesoo77072) wrote :
Download full text (3.7 KiB)

I don't know how to proceed with the following recommendation:
"you can select the emulated hda and stac9221 hda codec"

When I get into the Audio Settings for this guest, I have two Pull Downs I
can control.

First is Host Audio Driver: Pulse Audio(Default), Null Audio Driver, OSS
Audio Driver, ALSA Audio Driver.

Second is Audio Controller: ICH AC97(Default), Intel HD Audio, Soundblaster
16.

I did some experimenting and was able to get the Slider to work correctly.

The change that I made was switching the Host Audio Driver from Pulse Audio
to ALSA Audio Driver.

I went back and reviewed the Audio settings for each of the Guest Distros
involved in this testing. All defaulted to Pulse Audio & ICH AC97. I don't
know if this is an issue with Virtual Box selecting the wrong driver to
default to or if design changes in Audio Support for Pulse Audio is now in
error. I can only compare between Unity Desktop, Ubuntu Gnome, and Ubuntu
Studio does support this default fine so I would guess that VirtualBox
support would argue this is an Host Audio issue.

On Fri, Aug 21, 2015 at 12:23 AM, Raymond <email address hidden>
wrote:

>
> https://www.virtualbox.org/browser/vbox/trunk/src/VBox/Devices/Audio/DevIchAc97.cpp
>
> any reason to use the emulated ac97 and ad1980 codec ?
>
> you can select the emulated hda and stac9221 hda codec
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Incomplete
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_Card: Built-in Audio - Intel 82801AA-ICH
> Symptom_Type: Volume slider, or mixer problems
> Title: [ICH - Intel 82801AA-ICH, playback] volume slider problem
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/01/2006
> dmi.bios.vendor: innotek GmbH
> dmi.bios.version: Virtual...

Read more...

Gene Soo (genesoo77072) wrote :
Download full text (4.7 KiB)

Additional Comments regarding last change from Pulse Audio Driver to ALSA
Audio Driver.
Although this change did resolve the Volume Slider controlling both PCM and
Master output channels,
Extended playback using this driver causes instability in the playback
speed.
At first, the playback speed is normal but after a while, the playback
speed jumps up much faster. Somewhere on the order of 10 times normal.
Reboot of machine is not necessary to restore normal playback however I
would need to do additional longer testing to see whether Browser Reload of
webpage is enough to restore playback speed. I am inclined not to pursue
this testing unless I hear back that I must run on this ALSA Driver. I am
afraid that pursuing permanent run on this ALSA Driver would cause a
Multigroup Support issue involving your team as well as VirtualBox Support.

On Fri, Aug 21, 2015 at 12:58 AM, Gene Soo <email address hidden> wrote:

> I don't know how to proceed with the following recommendation:
> "you can select the emulated hda and stac9221 hda codec"
>
> When I get into the Audio Settings for this guest, I have two Pull Downs I
> can control.
>
> First is Host Audio Driver: Pulse Audio(Default), Null Audio Driver, OSS
> Audio Driver, ALSA Audio Driver.
>
> Second is Audio Controller: ICH AC97(Default), Intel HD Audio,
> Soundblaster 16.
>
> I did some experimenting and was able to get the Slider to work correctly.
>
> The change that I made was switching the Host Audio Driver from Pulse
> Audio to ALSA Audio Driver.
>
>
> I went back and reviewed the Audio settings for each of the Guest Distros
> involved in this testing. All defaulted to Pulse Audio & ICH AC97. I don't
> know if this is an issue with Virtual Box selecting the wrong driver to
> default to or if design changes in Audio Support for Pulse Audio is now in
> error. I can only compare between Unity Desktop, Ubuntu Gnome, and Ubuntu
> Studio does support this default fine so I would guess that VirtualBox
> support would argue this is an Host Audio issue.
>
> On Fri, Aug 21, 2015 at 12:23 AM, Raymond <email address hidden>
> wrote:
>
>>
>> https://www.virtualbox.org/browser/vbox/trunk/src/VBox/Devices/Audio/DevIchAc97.cpp
>>
>> any reason to use the emulated ac97 and ad1980 codec ?
>>
>> you can select the emulated hda and stac9221 hda codec
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1487168
>>
>> Title:
>> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
>> problem
>>
>> Status in alsa-driver package in Ubuntu:
>> Incomplete
>>
>> Bug description:
>> Volume Slider is only controlling PCM channel and is not controlling
>> Master. In effect, Master is restricting the audio level to the
>> default of approximately 45 Percent. In order to raise the Master
>> Volume Level, alsamixer is capable of changing Master. Without
>> manually raising Master to Max Volume, Volume Slider can only control
>> volume from 0-45% which is the default level of Master.
>>
>> Description: Ubuntu Wily Werewolf (development branch)
>> Release: 15.10
>>
>> ProblemType: Bug
>> DistroRel...

Read more...

Gene Soo (genesoo77072) wrote :
Download full text (5.7 KiB)

Testing Results for Kubuntu-KDE 15.10 Distribution.
Original Problem report was issued from Edubuntu 15.10 Daily.
I tried switching the Virtualbox Audio Hardware Driver from Pulse Audio to
ALSA Audio consistent with results for the Edubuntu distribution.
Monitoring alsamixer for Channel levels, using the Volume Slider on KDE
does not Control the Master Audio out channels.

I performed similar changes to my Lubuntu and Xubuntu Guests and received
the same results as Kubuntu-KDE.
To Restate, the only Distribution that I have a workaround to restore
proper Volume Slider Control is Edubuntu.
Altering Virtual Box Hardware Audio Drive from Pulse Audio to ALSA Audio
has no effect on correcting Volume Slider's lack of controlling Master Out
Channel(s) for Kubuntu-KDE, Lubuntu, & Xubuntu..

On Fri, Aug 21, 2015 at 1:20 AM, Gene Soo <email address hidden> wrote:

> Additional Comments regarding last change from Pulse Audio Driver to ALSA
> Audio Driver.
> Although this change did resolve the Volume Slider controlling both PCM
> and Master output channels,
> Extended playback using this driver causes instability in the playback
> speed.
> At first, the playback speed is normal but after a while, the playback
> speed jumps up much faster. Somewhere on the order of 10 times normal.
> Reboot of machine is not necessary to restore normal playback however I
> would need to do additional longer testing to see whether Browser Reload of
> webpage is enough to restore playback speed. I am inclined not to pursue
> this testing unless I hear back that I must run on this ALSA Driver. I am
> afraid that pursuing permanent run on this ALSA Driver would cause a
> Multigroup Support issue involving your team as well as VirtualBox Support.
>
> On Fri, Aug 21, 2015 at 12:58 AM, Gene Soo <email address hidden> wrote:
>
>> I don't know how to proceed with the following recommendation:
>> "you can select the emulated hda and stac9221 hda codec"
>>
>> When I get into the Audio Settings for this guest, I have two Pull Downs
>> I can control.
>>
>> First is Host Audio Driver: Pulse Audio(Default), Null Audio Driver, OSS
>> Audio Driver, ALSA Audio Driver.
>>
>> Second is Audio Controller: ICH AC97(Default), Intel HD Audio,
>> Soundblaster 16.
>>
>> I did some experimenting and was able to get the Slider to work correctly.
>>
>> The change that I made was switching the Host Audio Driver from Pulse
>> Audio to ALSA Audio Driver.
>>
>>
>> I went back and reviewed the Audio settings for each of the Guest Distros
>> involved in this testing. All defaulted to Pulse Audio & ICH AC97. I don't
>> know if this is an issue with Virtual Box selecting the wrong driver to
>> default to or if design changes in Audio Support for Pulse Audio is now in
>> error. I can only compare between Unity Desktop, Ubuntu Gnome, and Ubuntu
>> Studio does support this default fine so I would guess that VirtualBox
>> support would argue this is an Host Audio issue.
>>
>> On Fri, Aug 21, 2015 at 12:23 AM, Raymond <email address hidden>
>> wrote:
>>
>>>
>>> https://www.virtualbox.org/browser/vbox/trunk/src/VBox/Devices/Audio/DevIchAc97.cpp
>>>
>>> any reason to use the emulated ac97 and ad1980 codec ...

Read more...

refer to virtualox 5.0.2 user manual

[--audionone|null|dsound|solaudio|oss|alsa|pulse| oss|pulse|coreaudio]
 [--audiocontrollerac97|hda|sb16]
[--audiocodecstac9700|ad1980|stac9221|sb16]

Raymond (superquad-vortex2) wrote :

1) the logic of the enumlated ac97 is defined in ichac97SetVolume()

2) there are differences between real ad1980 and the emulated ad1980

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1325308

Raymond (superquad-vortex2) wrote :

Extended ID : codec=0 rev=0 AMAP LDAC SDAC CDAC DSA=0 DRA VRA
 Extended status : LDAC SDAC CDAC VRA
 PCM front DAC : 48000Hz
 PCM Surr DAC : 48000Hz
 PCM LFE DAC : 48000Hz
 PCM ADC : 48000Hz

the real ad1980 support multi channel

but the emulated ad1980 does not has SDAC, LDAC and CDAC

Extended ID : codec=0 rev=2 DSA=0 VRM VRA
Extended status : VRM VRA
PCM front DAC : 48000Hz
PCM ADC : 44100Hz
PCM MIC ADC : 48000Hz

Raymond (superquad-vortex2) wrote :

the previous emulated ac97 codec in virtualbox 3.x/4.x is stac9200 stereo codec

Download full text (4.6 KiB)

Let me start out by asking an important question.
In the Generated Problem Report between Title and Bug Description is the
following statement.

Status in alsa-driver package in Ubuntu:
  Incomplete

Is Audio support code still under development for this Volume Slider
function or should it be working properly? If it is supposed to be working
then please continue reading this response.

I don't understand the points you are making by referencing the User Manual
and also pointing out differences in emulated vs native support for the two
chipsets.
You had included cryptic text that looks like it is logic from an XML file
or perhaps comments from program code. Later I will reference User Manual
text that has a slight mention to AC97 and nothing about AC98.

I can't tell whether the point(s) your trying to make

1) is that it working as designed and there is no problem.
2) or, You can get it to work if you make a change(unfortunately I can't
make out what change you are suggesting).

The following is contents from the Virtualbox User Manual I have at my
disposal regarding the customizable Audio Selection options:
3.7. Audio settings

The "Audio" section in a virtual machine's Settings window determines
whether the VM will see a sound card connected, and whether the audio
output should be heard on the host system.

If audio is enabled for a guest, you can choose between the emulation of an
Intel AC'97 controller, an Intel HD Audio controller[16
<https://www.virtualbox.org/manual/ch03.html#ftn.idp46785383838160>] or a
SoundBlaster 16 card. In any case, you can select what audio driver
VirtualBox will use on the host.

On a Linux host, depending on your host configuration, you can also select
between the OSS, ALSA or the PulseAudio subsystem. On newer Linux
distributions, the PulseAudio subsystem should be preferred.
====================================

If you have specific recommendations for options to try then please be
specific.

On Fri, Aug 21, 2015 at 2:53 AM, Raymond <email address hidden> wrote:

> 1) the logic of the enumlated ac97 is defined in ichac97SetVolume()
>
> 2) there are differences between real ad1980 and the emulated ad1980
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1325308
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Incomplete
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1....

Read more...

sb16 is no longer supported by ubuntu since isa support was dropped

Download full text (3.9 KiB)

Last Update for tonight.

I understand it is monumentally difficult to support all of the varieties
of hardware that exist and because of that, I make myself available to test
or provide information for my specific operating environment.

For the most part, I expect that the OS packages that I install ask for
customary user input like names, passwords, and the like.
I do not expect to have to supply or know details about my specific
hardware other than gross features like memory allocations, number of
processors and similar things.

I have identified an Audio Problem that effects specific Ubuntu
Distributions currently under development and also identified related
distributions in the same Ubuntu Family that does not have this problem
with the same VirtualBox running on the same hardware platform.

Besides the Ubuntu distributions, I also run various other Linux
distributions, OpenSUSE, Linux Mint, Fedora, Oracle Linux, Windows 10
Technical Preview.
I have not experienced anything like this on any of the other Guest OSes
that I just listed

If you have additional information requests, I will be happy to try and
supply whatever you ask.
If you have possible workarounds or code solutions, I will happy to try
them .
If we need to get VirtualBox involved in debugging the problem, I will be
happy to work with their representatives.

Otherwise, I will track this issue and hope that some day it gets resolved.

On Fri, Aug 21, 2015 at 3:46 AM, Raymond <email address hidden> wrote:

> sb16 is no longer supported by ubuntu since isa support was dropped
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Incomplete
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_Card: Built-in Audio - Intel 82801AA-ICH
> Symptom_Type: Volume slider, or mixer problems
>...

Read more...

https://www.virtualbox.org/log/vbox/trunk/src/VBox/Devices/Audio/DevIchAc97.cpp?rev=57451

some of the above patches change the behaviour of emulated ac97 codec

 the emulate ad1980 inside virtualbox does not work as same as a real ad1980 codec

Raymond (superquad-vortex2) wrote :

00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)

!!Advanced information - PCI Vendor/Device/Subsystem ID's
 !!-------------------------------------------------------

00:1e.2 0401: 8086:266e (rev 03)
  Subsystem: 1028:0177

PCI Soundcards installed in the system
!!--------------------------------------

00:05.0 Multimedia audio controller: Intel Corporation 82801AA AC'97 Audio Controller (rev 01)

!!Advanced information - PCI Vendor/Device/Subsystem ID's
!!--------------------------------------------------------

00:05.0 0401: 8086:2415 (rev 01)
 Subsystem: 1028:0177

the ac97 controller are different too

Download full text (4.2 KiB)

I believe I have discovered the cause of the problem.
Your prompting me to look at the Open Issues for VirtualBox pointed out
that I was on V5.0.0 and when I went to the Downloads Page, V5.0.2 was
currently available.
VirtualBox will send a push notification when the team indicates and
important release is available and is displayed when you start VirtualBox.
Although 5.0.2 is generally available, they did not mark it for Push
Notification.

I upgraded to 5.0.2 and also followed through with a process called Install
Guest Additions, that led to more serious errors.
The Guest Additions Scripting installs custom support for a variety of
system dependent things including advanced Video capabilities like Screen
resizing.
I had noticed this issue before but was not zoned in on it because it is a
critical failure for the new KDE Distro and not with the other Desktops.

I decided to backoff to VBox V4.33 which is the latest release for V4 of
VirtualBox.

Spot checking all of the 15.10 Distros having this audio problem, just
getting into alsamixer and adjusting the Volume Slider, they seem to work
correctly with VBox V4.33.

The VirtualBox Team had a V5.0.3 release that hasn't been finalized but is
available for users to manually install. I have not tried that release to
see if the Audio issues are resolved.

I need to turn my attention to reporting both this Audio Issue and the
Video issue to the respective Virtual Box teams.

I believe you can mark this issues as Closed.

Thanks for all of the help in getting this issue sorted out.

On Fri, Aug 21, 2015 at 7:00 AM, Raymond <email address hidden> wrote:

>
> https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/intel8x0.c?id=4235a31784f59c9be5ff71534743c055091f9735
>
> the real ac97 controller 8086:2415 does not support 6 channels
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Incomplete
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> Inst...

Read more...

Gene Soo (genesoo77072) wrote :
Download full text (4.6 KiB)

Correction to last comments concerning problem resolution.

I inadvertently referred to backing off from Version 5.0.2 to VirtualBox
Release 4.33.
The correct backoff release number is 4.3.30-101610.

On Fri, Aug 21, 2015 at 8:36 AM, Gene Soo <email address hidden> wrote:

> I believe I have discovered the cause of the problem.
> Your prompting me to look at the Open Issues for VirtualBox pointed out
> that I was on V5.0.0 and when I went to the Downloads Page, V5.0.2 was
> currently available.
> VirtualBox will send a push notification when the team indicates and
> important release is available and is displayed when you start VirtualBox.
> Although 5.0.2 is generally available, they did not mark it for Push
> Notification.
>
> I upgraded to 5.0.2 and also followed through with a process called
> Install Guest Additions, that led to more serious errors.
> The Guest Additions Scripting installs custom support for a variety of
> system dependent things including advanced Video capabilities like Screen
> resizing.
> I had noticed this issue before but was not zoned in on it because it is a
> critical failure for the new KDE Distro and not with the other Desktops.
>
> I decided to backoff to VBox V4.33 which is the latest release for V4 of
> VirtualBox.
>
> Spot checking all of the 15.10 Distros having this audio problem, just
> getting into alsamixer and adjusting the Volume Slider, they seem to work
> correctly with VBox V4.33.
>
> The VirtualBox Team had a V5.0.3 release that hasn't been finalized but is
> available for users to manually install. I have not tried that release to
> see if the Audio issues are resolved.
>
> I need to turn my attention to reporting both this Audio Issue and the
> Video issue to the respective Virtual Box teams.
>
> I believe you can mark this issues as Closed.
>
> Thanks for all of the help in getting this issue sorted out.
>
> On Fri, Aug 21, 2015 at 7:00 AM, Raymond <email address hidden>
> wrote:
>
>>
>> https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/intel8x0.c?id=4235a31784f59c9be5ff71534743c055091f9735
>>
>> the real ac97 controller 8086:2415 does not support 6 channels
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1487168
>>
>> Title:
>> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
>> problem
>>
>> Status in alsa-driver package in Ubuntu:
>> Incomplete
>>
>> Bug description:
>> Volume Slider is only controlling PCM channel and is not controlling
>> Master. In effect, Master is restricting the audio level to the
>> default of approximately 45 Percent. In order to raise the Master
>> Volume Level, alsamixer is capable of changing Master. Without
>> manually raising Master to Max Volume, Volume Slider can only control
>> volume from 0-45% which is the default level of Master.
>>
>> Description: Ubuntu Wily Werewolf (development branch)
>> Release: 15.10
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 15.10
>> Package: alsa-base 1.0.25+dfsg-0ubuntu5
>> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
>> Uname: Linux 4.1.0-3...

Read more...

https://www.virtualbox.org/changeset/55005/vbox/trunk/src/VBox/Devices/Audio/DevIchAc97.cpp

this patch intend to change rate from 48000Hz to 44100Hz

but the emuated ad1980 still using 48000Hz

Extended ID : codec=0 rev=2 DSA=0 VRM VRA
 Extended status : VRM VRA
 PCM front DAC : 48000Hz
 PCM ADC : 44100Hz
 PCM MIC ADC : 48000Hz

Raymond (superquad-vortex2) wrote :

if you compare the amixer output of real ad1980 and emulated ad1980

the emulated ad1980 did not implement Master Playback Volume

Card hw:2 'ICH6'/'Intel ICH6 with AD1980 at irq 23'
   Mixer name : 'Analog Devices AD1980'
   Components : 'AC97a:41445370'
   Controls : 40
   Simple ctrls : 29
 Simple mixer control 'Master',0
   Capabilities: pvolume pswitch penum
   Playback channels: Front Left - Front Right
   Limits: Playback 0 - 31
   Mono:
   Front Left: Playback 27 [87%] [-6.00dB] [on]
   Front Right: Playback 27 [87%] [-6.00dB] [on]
Simple mixer control 'Master Mono',0
   Capabilities: pvolume pvolume-joined pswitch pswitch-joined penum
   Playback channels: Mono
   Limits: Playback 0 - 31
   Mono: Playback 23 [74%] [-12.00dB] [on]

Card hw:0 'I82801AAICH'/'Intel 82801AA-ICH with AD1980 at irq 21'
  Mixer name : 'Analog Devices AD1980'
  Components : 'AC97a:41445370'
  Controls : 46
  Simple ctrls : 32
Simple mixer control 'Master Mono',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 63
  Mono:
  Front Left: Playback 0 [0%] [-94.50dB] [off]
  Front Right: Playback 0 [0%] [-94.50dB] [off]

Raymond (superquad-vortex2) wrote :

control.9 {
   iface MIXER
   name 'Master Playback Switch'
   value.0 true
   value.1 true
   comment {
    access 'read write'
    type BOOLEAN
    count 2
   }
  }
  control.10 {
   iface MIXER
   name 'Master Playback Volume'
   value.0 27
   value.1 27
   comment {
    access 'read write'
    type INTEGER
    count 2
    range '0 - 31'
    dbmin -4650
    dbmax 0
    dbvalue.0 -600
    dbvalue.1 -600
   }
  }
  control.11 {
   iface MIXER
   name 'Master Mono Playback Switch'
   value true
   comment {
    access 'read write'
    type BOOLEAN
    count 1
   }
  }
  control.12 {
   iface MIXER
   name 'Master Mono Playback Volume'
   value 23
   comment {
    access 'read write'
    type INTEGER
    count 1
    range '0 - 31'
    dbmin -4650
    dbmax 0
    dbvalue.0 -1200
   }
  }

db range and no of steps of master mono playback volume are different

control.4 {
  iface MIXER
  name 'Master Mono Playback Volume'
  value.0 0
  value.1 0
  comment {
   access 'read write'
   type INTEGER
   count 2
   range '0 - 63'
   dbmin -9450
   dbmax 0
   dbvalue.0 -9450
   dbvalue.1 -9450
  }

Raymond (superquad-vortex2) wrote :

0:76 = 7c20

Miscellaneous Control Bit Register (Index 76h)

bit14 AC97NC

AC ’97 No Compatibility Mode.
This bit allows the surround, center, and LFE volume control registers and output attenuators to operate in a more functional mode than defined by the AC97 2.2 spec. This is called ADI compatibility mode. In AC ’97 compatibility mode, the DAC Gain/Attenuators for the surround, center, and LFE are controlled by Register 18h (PCM volume). The output pin attenuators for the surround are controlled by Register 38h, and the output pin attenuators for the center and LFE are controlled by Register 36h. In ADI compatibility mode, the Surround DAC Gain/Attenuators are controlled by Register 38h, and the Center/ LFE DAC are controlled by Register 36h. The output pin attenuators for Center/LFE are controlled by Register 02h (Master Volume), and the output pin attenuators for Surround are controlled by Register 04h.

0 = AC97 compatibility mode (reset default).
1 = ADI compatibility mode.

Raymond (superquad-vortex2) wrote :

bit12 LODIS

Line_out Disable.
Disables the Line_out pins (L/R), placing them into High-Z mode so that the assigned output audio jack can be shared for Line Input function.

0 = Line_out pins have normal audio drive capability (reset default).
1 = Line_out pins are placed into High-Z mode.

linout is disabled if it is a real ad1980
as your emulauted ad1980 does not has headphone out

Raymond (superquad-vortex2) wrote :

bit 5 LOSEL

LINE_OUT Amplifiers Input Select.
This bit allows the LINE_OUT output amplifiers to be driven by the mixer or the surround DACs. The main purpose for this is to allow swapping of the front and surround channels to make better use of the SURR/HP_OUT output amplifiers. This bit should normally be used in tandem with the HPSEL bit (see below).

0 = LINE_OUT amplifiers are driven by the mixer outputs (reset default).
1 = LINE_OUT amplifiers are driven by the surround DAC outputs.

Raymond (superquad-vortex2) wrote :

0:74 = 1000

1:74 = 4000

2:74 = 2000

the emulated ad1980 report different codec register mask
it make the alsa driver believe that there are three codecs

Serial Configuration Register (Index 74h)

REGM3 Slave 3 Codec Register Mask
REGM0 Master Codec Register Mask
REGM1 Slave 1 Codec Register Mask
REGM2 Slave 2 Codec Register Mask

Download full text (4.1 KiB)

You made a lot of updates to this record and I cannot tell whether or not
you hit on issues that requires coding changes on the Ubuntu Audio side.

I did want to report that I seem to have found a resolution that I am
satisfied with.

To summarize, I mentioned that after backing off from Virtual Box 5.0.2 and
installing Virtual Box 4.3.30, my audio problems were resolved and I was
able to use the Volume Slider in order to control the Volume. After
contacting the Virtual Box team, they gave me a customization option change
to correct the video problems I was experiencing that did not relate to
this audio problem. Since that customization option solved the video
problem, I wanted to go back and reinstall VBox 5.0.2 to see if the Audio
problems persist.
Short answer is No, they did not exist under a fresh install of 5.0.2. I
speculated to the VBox team that I perceive the Maintenance upgrade from
VBox 5.0.0 to 5.0.2 did not work completely correct. The fact that I
performed a full uninstall of VBox going to the older 4.3 level and to the
current 5.0 levels both had the audio working correctly. I can only assume
the service upgrade process was the cause.

Please close this record as resolved at your earliest convenience.

On Sun, Aug 23, 2015 at 2:51 AM, Raymond <email address hidden> wrote:

> 0:74 = 1000
>
> 1:74 = 4000
>
> 2:74 = 2000
>
> the emulated ad1980 report different codec register mask
> it make the alsa driver believe that there are three codecs
>
>
> Serial Configuration Register (Index 74h)
>
> REGM3 Slave 3 Codec Register Mask
> REGM0 Master Codec Register Mask
> REGM1 Slave 1 Codec Register Mask
> REGM2 Slave 2 Codec Register Mask
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Incomplete
> Status in virtualbox package in Ubuntu:
> New
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> ...

Read more...

Changed in virtualbox (Ubuntu):
status: New → Invalid
Changed in alsa-driver (Ubuntu):
status: Incomplete → Invalid
Changed in virtualbox (Ubuntu):
status: Invalid → Incomplete
Raymond (superquad-vortex2) wrote :

the count of master mono playback volume control is not stereo but mono

this is emulation bug of virtual box

control.3 {
  iface MIXER
  name 'Master Mono Playback Switch'
  value.0 false
  value.1 false
  comment {
   access 'read write'
   type BOOLEAN
   count 2
  }
 }
 control.4 {
  iface MIXER
  name 'Master Mono Playback Volume'
  value.0 0
  value.1 0
  comment {
   access 'read write'
   type INTEGER
   count 2
   range '0 - 63'
   dbmin -9450
   dbmax 0
   dbvalue.0 -9450
   dbvalue.1 -9450
  }
 }

Raymond (superquad-vortex2) wrote :

” Mono Volume Register (Index 06h) Reg No.Name

D15D14D13D12D11D10D9D8D7D6D5*D4D3D2D1D0
Default 06h
Mono Volume
MVM X X X X X X X X X MV5 MV4 MV3 MV2 MV1 MV0 8000h

*Refer to Table II for examples. This register controls the Mono output volume and mute bit. The volume register contains five bits, generating 32 volume levels with 31 steps of 1.5 dB each. Because AC ’97 defines 6-bit volume registers, to maintain compatibility, whenever the D5 bit is set to “1,” their respective lower five volume bits are automatically set to “1” by the codec logic. On readback, all lower five bits will read “1s” whenever this bit is set to “1.” All registers not shown and bits containing an X are assumed to be reserved.

MV[5:0] Mono Volume Control. The least significant bit represents 1.5 dB. This register controls the output from 0 dB to a maximum attenuation of 46.5 dB.
MVM Mono Volume Mute. When this bit is set to “1,” the channel is muted.

Changed in virtualbox (Ubuntu):
status: Incomplete → Confirmed
Raymond (superquad-vortex2) wrote :

0:06 = bfbf

a real ad1980 won't return this value since only bit 15 and (bit 5 to bit 0) are defined

Raymond (superquad-vortex2) wrote :

static DECLCALLBACK(int) ichac97IOPortNAMWrite(PPDMDEVINS pDevIns,
                                                void *pvUser, RTIOPORT Port, uint32_t u32, unsigned cb)
{
     PAC97STATE pThis = (PAC97STATE)pvUser;

         case 2:
         {
             uint32_t index = Port - pThis->IOPortBase[0];
             pThis->cas = 0;
             switch (index)
             {
                 case AC97_Reset:
                     ichac97MixerReset(pThis);
                     break;
                 case AC97_Powerdown_Ctrl_Stat:
                     u32 &= ~0xf;
                     u32 |= ichac97MixerLoad(pThis, index) & 0xf;
                     ichac97MixerStore(pThis, index, u32);
                     break;
                 case AC97_Master_Volume_Mute:
                     ichac97SetVolume(pThis, index, PDMAUDIOMIXERCTL_VOLUME, u32);
                     break;
+ case AC97_Master_Mono_Volume_Mute:
+ ichac97SetVolume(pThis, index, PDMAUDIOMIXERCTL_VOLUME, u32 & 0x803f);
+ break;
                 case AC97_PCM_Out_Volume_Mute:
                     ichac97SetVolume(pThis, index, PDMAUDIOMIXERCTL_PCM, u32);
                     break;

Hi, can you please report then on the upstream Virtualbox ticket page?
or also the mail list might be good
https://www.virtualbox.org/newticket

cheers,

Gianfranco

VirtualBox ticket 14508 created to report this issue. Any comments from the
Audio team can be submitted referencing that ticket number.

On Thu, Aug 27, 2015 at 3:34 AM, LocutusOfBorg <
<email address hidden>> wrote:

> Hi, can you please report then on the upstream Virtualbox ticket page?
> or also the mail list might be good
> https://www.virtualbox.org/newticket
>
> cheers,
>
> Gianfranco
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Invalid
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_Card: Built-in Audio - Intel 82801AA-ICH
> Symptom_Type: Volume slider, or mixer problems
> Title: [ICH - Intel 82801AA-ICH, playback] volume slider problem
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/01/2006
> dmi.bios.vendor: innotek GmbH
> dmi.bios.version: VirtualBox
> dmi.board.name: VirtualBox
> dmi.board.vendor: Oracle Corporation
> dmi.board.version: 1.2
> dmi.chassis.type: 1
> dmi.chassis.vendor: Oracle Corporation
> dmi.modalias:
> dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr:
> dmi.product.name: VirtualBox
> dmi.product.version: 1.2
> dmi.sys.vendor: innotek GmbH
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1487168/+subscriptions
>

Changed in virtualbox (Ubuntu):
importance: Undecided → Medium
Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
Gene Soo (genesoo77072) wrote :

I discovered that the Volume Slider problem exists even after the clean
install of Virtual Box 5.0.2.

I have screenshots that document the errant behavior.

I am not used to submitting documentation for problems other than typing in
descriptive text when prompted.

Can I attach the screenshot files as attachments to one of these emails and
will they be posted in your problem tracking application?
If not, can you direct me to instructions on how to submit documentation?

On Thu, Aug 27, 2015 at 11:25 AM, Alberto Salvia Novella <
<email address hidden>> wrote:

> ** Changed in: virtualbox (Ubuntu)
> Importance: Undecided => Medium
>
> ** Changed in: alsa-driver (Ubuntu)
> Importance: Undecided => Medium
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Invalid
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_Card: Built-in Audio - Intel 82801AA-ICH
> Symptom_Type: Volume slider, or mixer problems
> Title: [ICH - Intel 82801AA-ICH, playback] volume slider problem
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/01/2006
> dmi.bios.vendor: innotek GmbH
> dmi.bios.version: VirtualBox
> dmi.board.name: VirtualBox
> dmi.board.vendor: Oracle Corporation
> dmi.board.version: 1.2
> dmi.chassis.type: 1
> dmi.chassis.vendor: Oracle Corporation
> dmi.modalias:
> dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr:
> dmi.product.name: VirtualBox
> dmi.product.version: 1.2
> dmi.sys.vendor: innotek GmbH
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1487168/+subscriptions
>

you need virtualbox verbose log which provide debug messages printed by LogFlowFunc()

the linux driver check those ad specific registers for multi codecs , and ADI compatiable mode

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/sound/pci/ac97/ac97_patch.c

Download full text (3.5 KiB)

First, you dd not answer my question on whether or not I could attach the
files directly to this email and whether you would be able to get them or
do I need to upload them somewhere?

Second, I want to clarify the Verbose Log you want. Is that the Log from
Show Log CTRL+L? If so, I assume you want all of the available logs so you
can see from installation to last boot?

Third, I don't understand the last sentence starting with "the linux driver
check" nor do I know what to make of the URL you sent. If the sentence is
supposed to give me instructions to do something in relationship to the URL
contents I need clarification. Otherwise it would be best for me to get you
those screenshots so you can see what I am seeing.

On Fri, Aug 28, 2015 at 8:31 PM, Raymond <email address hidden> wrote:

> you need virtualbox verbose log which provide debug messages printed by
> LogFlowFunc()
>
> the linux driver check those ad specific registers for multi codecs ,
> and ADI compatiable mode
>
>
> https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/sound/pci/ac97/ac97_patch.c
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Invalid
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_Card: Built-in Audio - Intel 82801AA-ICH
> Symptom_Type: Volume slider, or mixer problems
> Title: [ICH - Intel 82801AA-ICH, playback] volume slider problem
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/01/2006
> dmi.bios.vendor: innotek GmbH
> dmi.bios.version: VirtualBox
> dmi.board.name: VirtualBox
> dmi.board.vendor: Oracle Corporation
> dmi.board.version: 1.2
> dmi.chassis.type: 1
> dmi.chassis.vendor: Oracle Corporation
> dmi.modalias:
> dmi:bvnin...

Read more...

the reason for no master playback volume/switch is

master rename as master surround but no headphone playback volume/switch

state.I82801AAICH {
 control.1 {
  iface MIXER
  name 'Master Surround Playback Switch'
  value.0 true
  value.1 true
  comment {
   access 'read write'
   type BOOLEAN
   count 2
  }
 }
 control.2 {
  iface MIXER
  name 'Master Surround Playback Volume'
  value.0 17
  value.1 17
  comment {
   access 'read write'
   type INTEGER
   count 2
   range '0 - 31'
   dbmin -4650
   dbmax 0
   dbvalue.0 -2100
   dbvalue.1 -2100
  }
 }

static int patch_ad1888_specific(struct snd_ac97 *ac97)
{
 if (!ac97->spec.ad18xx.lo_as_master) {
  /* rename 0x04 as "Master" and 0x02 as "Master Surround" */
  snd_ac97_rename_vol_ctl(ac97, "Master Playback",
     "Master Surround Playback");
  snd_ac97_rename_vol_ctl(ac97, "Headphone Playback",
     "Master Playback");
 }
 return patch_build_controls(ac97, snd_ac97_ad1888_controls, ARRAY_SIZE(snd_ac97_ad1888_controls));
}

Raymond (superquad-vortex2) wrote :

only virtualbox debug log can provide debug info about why emulated ich controller support multi channel

               case GLOB_CNT:
1470 /* Global Control */
1471 *pu32 = pThis->glob_cnt;
1472 LogFlowFunc(("glob_cnt -> %#x\n", *pu32));
1473 break;
1474 case GLOB_STA:
1475 /* Global Status */
1476 *pu32 = pThis->glob_sta | GS_S0CR;
1477 LogFlowFunc(("glob_sta -> %#x\n", *pu32));
1478 break;

1600 case GLOB_CNT:
1601 /* Global Control */
1602 if (u32 & GC_WR)
1603 ichac97WarmReset(pThis);
1604 if (u32 & GC_CR)
1605 ichac97ColdReset(pThis);
1606 if (!(u32 & (GC_WR | GC_CR)))
1607 pThis->glob_cnt = u32 & GC_VALID_MASK;
1608 LogFlowFunc(("glob_cnt <- %#x (glob_cnt %#x)\n", u32, pThis->glob_cnt));
1609 break;
1610 case GLOB_STA:
1611 /* Global Status */
1612 pThis->glob_sta &= ~(u32 & GS_WCLEAR_MASK);
1613 pThis->glob_sta |= (u32 & ~(GS_WCLEAR_MASK | GS_RO_MASK)) & GS_VALID_MASK;
1614 LogFlowFunc(("glob_sta <- %#x (glob_sta %#x)\n", u32, pThis->glob_sta));
1615 break;

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/sound/pci/intel8x0.c

Raymond (superquad-vortex2) wrote :

if (pbus->pcms[0].r[0].slots & (1 << AC97_SLOT_PCM_SLEFT)) {
  chip->multi4 = 1;
  if (pbus->pcms[0].r[0].slots & (1 << AC97_SLOT_LFE)) {
   chip->multi6 = 1;
   if (chip->ac97[0]->flags & AC97_HAS_8CH)
    chip->multi8 = 1;
  }
 }

the alsa driver set chip->multi6 when slot have AC97_SLOT_LFE

Download full text (5.2 KiB)

I'll attempt to describe the patterns and symptoms I am noticing and with a
subsequent email attach ScreenShot files to support those observations.

With this latest round of testing the Ubuntu 15.10 daily drops, most of
the distributions are behaving correctly in that Volume Slider does control
volume levels correctly adjusting channels Master and PCM.
alsamixer reports Card: Intel 82801AA-ICH
Chip: Sigmatel STAC9700,83,84

The two distributions I am having problems with is.

Distribution: Lubuntu 15.10
*Volume Slider Controls Master Only and Not PCM.*

alsamixer reports same Card and Chip information as above however the
Volume Slider

Distribution: Mate 15.10(Had Not Previously tried this Distribution)
Volume Slider Only Controlling PCM and Not Master This Symptom was common
in the previous testing when more distributions were effected however I am
not sure that the Chip identified below was the same in those past tests.

alsamixer reports Card: Intel 82801AA-ICH
Chip: *Analog Devices AD1980*

On my next update, I will attach all of the Screenshots and Vbox Logfiles
for the failing machines.

On Sat, Aug 29, 2015 at 2:55 AM, Raymond <email address hidden> wrote:

> the reason for no master playback volume/switch is
>
> master rename as master surround but no headphone playback volume/switch
>
> state.I82801AAICH {
> control.1 {
> iface MIXER
> name 'Master Surround Playback Switch'
> value.0 true
> value.1 true
> comment {
> access 'read write'
> type BOOLEAN
> count 2
> }
> }
> control.2 {
> iface MIXER
> name 'Master Surround Playback Volume'
> value.0 17
> value.1 17
> comment {
> access 'read write'
> type INTEGER
> count 2
> range '0 - 31'
> dbmin -4650
> dbmax 0
> dbvalue.0 -2100
> dbvalue.1 -2100
> }
> }
>
>
> static int patch_ad1888_specific(struct snd_ac97 *ac97)
> {
> if (!ac97->spec.ad18xx.lo_as_master) {
> /* rename 0x04 as "Master" and 0x02 as "Master Surround" */
> snd_ac97_rename_vol_ctl(ac97, "Master Playback",
> "Master Surround Playback");
> snd_ac97_rename_vol_ctl(ac97, "Headphone Playback",
> "Master Playback");
> }
> return patch_build_controls(ac97, snd_ac97_ad1888_controls,
> ARRAY_SIZE(snd_ac97_ad1888_controls));
> }
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Invalid
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> V...

Read more...

Gene Soo (genesoo77072) wrote :

Attempting to attached two zip files. First logs and Screenshots from
Lubuntu 15.10 Distribution. Second is Logs and screenshots from Mate 15.10.

On Sat, Aug 29, 2015 at 3:11 AM, Raymond <email address hidden> wrote:

> if (pbus->pcms[0].r[0].slots & (1 << AC97_SLOT_PCM_SLEFT)) {
> chip->multi4 = 1;
> if (pbus->pcms[0].r[0].slots & (1 << AC97_SLOT_LFE)) {
> chip->multi6 = 1;
> if (chip->ac97[0]->flags & AC97_HAS_8CH)
> chip->multi8 = 1;
> }
> }
>
> the alsa driver set chip->multi6 when slot have AC97_SLOT_LFE
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Invalid
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_Card: Built-in Audio - Intel 82801AA-ICH
> Symptom_Type: Volume slider, or mixer problems
> Title: [ICH - Intel 82801AA-ICH, playback] volume slider problem
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/01/2006
> dmi.bios.vendor: innotek GmbH
> dmi.bios.version: VirtualBox
> dmi.board.name: VirtualBox
> dmi.board.vendor: Oracle Corporation
> dmi.board.version: 1.2
> dmi.chassis.type: 1
> dmi.chassis.vendor: Oracle Corporation
> dmi.modalias:
> dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr:
> dmi.product.name: VirtualBox
> dmi.product.version: 1.2
> dmi.sys.vendor: innotek GmbH
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1487168/+subscriptions
>

https://wiki.ubuntu.com/PulseAudio/Log

you have to post the pulseaudio verbose log in virtualbox 5.0 ad1980

find the dB range of analog outout path

since "master surround playback volume" is not defined in pulseaudio analog-output-*.conf

http://cgit.freedesktop.org/pulseaudio/pulseaudio/tree/src/modules/alsa/mixer/paths

Raymond (superquad-vortex2) wrote :

https://www.virtualbox.org/changeset/55272/vbox/trunk/src/VBox/Devices/Audio/DevIchAc97.cpp

since it hardcode ad1980 on a dell machine, you may need patch in alsa driver to prevent the swap of the master playback volume/switch and headphone playback volume/switch

   if (fChipAD1980)
  {
        PCIDevSetSubSystemVendorId(&pThis->PciDev, 0x1028); /* 2c ro - Dell.) */
        PCIDevSetSubSystemId (&pThis->PciDev, 0x0177); /* 2e ro. */
  }
 else
 {
      PCIDevSetSubSystemVendorId(&pThis->PciDev, 0x8086); /* 2c ro - Intel.) */
     PCIDevSetSubSystemId (&pThis->PciDev, 0x0000); /* 2e ro. */
 }

Changed in alsa-driver (Ubuntu):
status: Invalid → Incomplete
Download full text (4.5 KiB)

Regarding this update and the previous update referencing a Verbose VBox
Log.

Trying to find out what a Verbose Log is or how to activate Verbose
logging, I looked for Verbose in the user manual and got hits in Chapter 8
of
the User's manual. I see references to VBoxmanage command syntax. It is
not obvious that any of these commands turns on Verbose logging in general.
Are you expecting me to issue one or a series of these commands or is there
another location where a verbose log is kept other than what I supplied?
if you are unable to answer this question, I will have to work with the
VirtualBox Team.

Second item is the patch you referenced. The link supplied is to C source
code. I cannot find references on what to do in order to compile this code.
I did see that there was a process to create a Source Code Fork in order to
be able to compile the entire forked copy of the source.
Are you telling me to follow those steps and substitute this version of
that module and try testing again?

Another question is the observation made about Dell. I own a Dell Laptop
however the platform that runs my Virtual Box testing environments is a
self constructed machine based off of Intel DX79SI Motherbpard and a Intel
Xeon Processor. In other words there are No Dell Branded parts in this
machine. What does the reference to Dell mean?

On Sat, Aug 29, 2015 at 8:05 PM, Raymond <email address hidden> wrote:

>
> https://www.virtualbox.org/changeset/55272/vbox/trunk/src/VBox/Devices/Audio/DevIchAc97.cpp
>
> since it hardcode ad1980 on a dell machine, you may need patch in alsa
> driver to prevent the swap of the master playback volume/switch and
> headphone playback volume/switch
>
>
> if (fChipAD1980)
> {
> PCIDevSetSubSystemVendorId(&pThis->PciDev, 0x1028); /* 2c ro -
> Dell.) */
> PCIDevSetSubSystemId (&pThis->PciDev, 0x0177); /* 2e ro. */
> }
> else
> {
> PCIDevSetSubSystemVendorId(&pThis->PciDev, 0x8086); /* 2c ro -
> Intel.) */
> PCIDevSetSubSystemId (&pThis->PciDev, 0x0000); /* 2e ro. */
> }
>
> ** Changed in: alsa-driver (Ubuntu)
> Status: Invalid => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Incomplete
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux...

Read more...

Gene Soo (genesoo77072) wrote :
Download full text (4.5 KiB)

I went ahead and followed documentation on the VirtualBox Forum to fork the
current VirtualBox Source. I believe that I have resolved all of the
installation errors that were due to errors in the packaging and
obsolescence of packages in the Ubuntu Release I am running on. i have not
attempted to install this package because it will require me to Uninstall
the supported version of VirtualBox. I will shutdown for now to await
answers to past clarification questions.
I need answers to What is the proper way to obtain Verbose Logging in
VirtualBox?
Do I need to Fork The VirtualBox Source in order to use the Patch code sent
to my via URL?

An additional question clarifying the quote below, Is there a code change
required to the Patch because of the "prevent swap" comment?
If the answer is Yes, I need specific editing instructions on the code that
needs to be changed or if you send me the modified version, I can try and
assemble it.

"since it hardcode ad1980 on a dell machine, *you may need patch in alsa*
*driver* to prevent the swap of the master playback volume/switch and
headphone playback volume/switch"

Again, I am not proceeding with any further testing or implementation of
the Forked Testing environment without answers to above questions.

On Sat, Aug 29, 2015 at 8:05 PM, Raymond <email address hidden> wrote:

>
> https://www.virtualbox.org/changeset/55272/vbox/trunk/src/VBox/Devices/Audio/DevIchAc97.cpp
>
> since it hardcode ad1980 on a dell machine, you may need patch in alsa
> driver to prevent the swap of the master playback volume/switch and
> headphone playback volume/switch
>
>
> if (fChipAD1980)
> {
> PCIDevSetSubSystemVendorId(&pThis->PciDev, 0x1028); /* 2c ro -
> Dell.) */
> PCIDevSetSubSystemId (&pThis->PciDev, 0x0177); /* 2e ro. */
> }
> else
> {
> PCIDevSetSubSystemVendorId(&pThis->PciDev, 0x8086); /* 2c ro -
> Intel.) */
> PCIDevSetSubSystemId (&pThis->PciDev, 0x0000); /* 2e ro. */
> }
>
> ** Changed in: alsa-driver (Ubuntu)
> Status: Invalid => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Incomplete
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> ...

Read more...

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1325308

this is dell dimension 8400 with ad1980 which virtualbox 5.0 try to emulate

the difference of alsa-info between your and the real dell dimension 8400

Raymond (superquad-vortex2) wrote :

aplay -D hw:0,0 --dump-hw-params stereo.wav

this dump the channel max of the sound cardc driver

Download full text (3.9 KiB)

I had to make corrections to the aplay command specified. The file to be
played back must exist for the results to be displayed. The attached txt
file has the results from the aplay command on the Lubuntu Distribution.

I have to go off the net soon to participate in Daytime activities.

I still have not received answers that will help me proceed with testing.

I saw in previous updates IF ELSE Statement extracted from Patch code and
it is not clear whether this was original code from the patch that needed
modification or if the code logic was already changed to reflect the
prevent switching mentioned.

The VirtualBox Fork and Build Process created the following file that will
install VirtualBox outside of normal apt-get processing.

VirtualBox-5.0.51_OSE-r57571.run

I have not tried to check whether the Patch code referenced in previous
updates is incorporated into this Build. If the patch was accepted and
promoted to the community, I would guess that it is incorporated into my
installation package.

When I return to resume work on this issue later, I will(with the exception
of additional instructions or guidance) uninstall Virtual Box 5.0.2 and
install this package. I can provide normal VBox Logs for a re-installation
of Lubuntu on that very current level of VirtualBox.

On Sun, Aug 30, 2015 at 2:57 AM, Raymond <email address hidden> wrote:

> aplay -D hw:0,0 --dump-hw-params stereo.wav
>
>
> this dump the channel max of the sound cardc driver
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in alsa-driver package in Ubuntu:
> Incomplete
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_Card: Built-in Audio - Intel 82801AA-ICH
> Symptom_Type: Volume slider, or mixer problems
> Title: [ICH - Intel 82801AA-ICH, playback...

Read more...

HW Params of device "hw:0,0":
--------------------
ACCESS: MMAP_INTERLEAVED RW_INTERLEAVED
FORMAT: S16_LE
SUBFORMAT: STD
SAMPLE_BITS: 16
FRAME_BITS: [32 96]
CHANNELS: [2 6]
RATE: 48000

the emulated intel8x0 claim to support 6 channels

Raymond (superquad-vortex2) wrote :

> I don't understand this response.
 I am not an experienced programmer with respect to these platforms and have
 no control what Virtual Box presents back to the OS.
 I will say that this problem effects multiple distributions.

You should study the ad1980 datasheet

take a look at the functional block diagram

there is an ac97 mixer which mix the Front DAC signal ( controlled by PCM Out Volume) and other analog input sources (CD , Mic , Line In, stereo mix playback volume)

Changed in virtualbox:
status: Unknown → New
Raymond (superquad-vortex2) wrote :

static void snd_intel8x0_codec_write(struct snd_ac97 *ac97,
         unsigned short reg,
         unsigned short val)
{
 struct intel8x0 *chip = ac97->private_data;
+ dev_info(chip->card->dev, "ac97 write %d - %.2x : %.4x\n", ac97->num, reg, val);
 if (snd_intel8x0_codec_semaphore(chip, ac97->num) < 0) {
  if (! chip->in_ac97_init)
   dev_err(chip->card->dev,
    "codec_write %d: semaphore is not ready for register 0x%x\n",
    ac97->num, reg);
 }
 iaputword(chip, reg + ac97->num * 0x80, val);
}

static unsigned short snd_intel8x0_codec_read(struct snd_ac97 *ac97,
           unsigned short reg)
{
 struct intel8x0 *chip = ac97->private_data;
 unsigned short res;
 unsigned int tmp;

 if (snd_intel8x0_codec_semaphore(chip, ac97->num) < 0) {
  if (! chip->in_ac97_init)
   dev_err(chip->card->dev,
    "codec_read %d: semaphore is not ready for register 0x%x\n",
    ac97->num, reg);
  res = 0xffff;
 } else {
  res = iagetword(chip, reg + ac97->num * 0x80);
  if ((tmp = igetdword(chip, ICHREG(GLOB_STA))) & ICH_RCS) {
   /* reset RCS and preserve other R/WC bits */
   iputdword(chip, ICHREG(GLOB_STA), tmp &
      ~(chip->codec_ready_bits | ICH_GSCI));
   if (! chip->in_ac97_init)
    dev_err(chip->card->dev,
     "codec_read %d: read timeout for register 0x%x\n",
     ac97->num, reg);
   res = 0xffff;
  }
 }
+ dev_info(chip->card->dev, "ac97 read %d - %.2x : %.4x\n", ac97->num, reg, res);
 return res;
}

if you cannot enable LogFlowFunc of virtualbox

you need to add code to dump the value of ac97 read/write in intel8x0.c and post the system log (dmesg)

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/sound/pci/intel8x0.c

Raymond (superquad-vortex2) wrote :

as you should notice that driver use ac97->num to access different codecs

iaputword(chip, reg + ac97->num * 0x80, val);

   res = iagetword(chip, reg + ac97->num * 0x80);

but virutalbox does not response correctly when driver try to accesss secodary ac97 codecs when it only emulate single primary ac97 codec

Raymond (superquad-vortex2) wrote :

http://git.alsa-project.org/?p=alsa-kmirror.git;a=commitdiff_plain;h=bb9a16dc52281d98dfb525552d29d8939845d8e2

it was this patch change master mono from mono to stereo

  /* build master mono controls */
  if (snd_ac97_try_volume_mix(ac97, AC97_MASTER_MONO)) {
- if ((err = snd_ctl_add(card, snd_ac97_cnew(&snd_ac97_controls_master_mono[0], ac97))) < 0)
+ if ((err = snd_ac97_cmix_new(card, "Master Mono Playback", AC97_MASTER_MONO, ac97)) < 0)
    return err;
- if ((err = snd_ctl_add(card, kctl = snd_ac97_cnew(&snd_ac97_controls_master_mono[1], ac97))) < 0)
- return err;
- snd_ac97_change_volume_params1(ac97, AC97_MASTER_MONO, &max);
- kctl->private_value &= ~(0xff << 16);
- kctl->private_value |= (int)max << 16;
- snd_ac97_write_cache(ac97, AC97_MASTER_MONO, 0x8000 | max);
  }

Download full text (4.8 KiB)

I'm sorry, I don't know how to proceed with this issue.

Early on, you asked for Verbose Logging from Virtualbox. I supplied the
Machine Log for the failing Guest and I knew Verbose was probably Defaulted
to Off.
Since then, I have found the commands to change the running machine
"VBoxManage debugvm" however the VirtualBox Documentation is weak on
descriptions and examples of how to turn on the Verbose logging for Audio
issues. I can see in some of their supporting Code Snippets that Group 2
Logging maybe applicable. I cannot find any "VBoxManage debugvm" examples
controlling setting verbose by group.

I am also having difficulty in understanding what coding changes needs to
be done in order to address your last couple of updates.

So here is the difficulties I am facing.

I would feel more comfortable if we pursued tracing the problem rather than
making code changes.

If you are unable to direct me toward specifying the correct commands to
accomplish this then I can try getting help from the VirtualBox Forum site.
I will say they have not been very helpful so far regarding this issue.

Short of these two options, I am prepared to drop the issue entirely and
someone else with the same problem and is better up to speed with working
with this code and these tools can pickup the effort.

On Tue, Sep 1, 2015 at 12:07 PM, Raymond <email address hidden> wrote:

> http://git.alsa-project.org/?p=alsa-
> kmirror.git;a=commitdiff_plain;h=bb9a16dc52281d98dfb525552d29d8939845d8e2
>
>
> it was this patch change master mono from mono to stereo
>
>
>
> /* build master mono controls */
> if (snd_ac97_try_volume_mix(ac97, AC97_MASTER_MONO)) {
> - if ((err = snd_ctl_add(card,
> snd_ac97_cnew(&snd_ac97_controls_master_mono[0], ac97))) < 0)
> + if ((err = snd_ac97_cmix_new(card, "Master Mono Playback",
> AC97_MASTER_MONO, ac97)) < 0)
> return err;
> - if ((err = snd_ctl_add(card, kctl =
> snd_ac97_cnew(&snd_ac97_controls_master_mono[1], ac97))) < 0)
> - return err;
> - snd_ac97_change_volume_params1(ac97, AC97_MASTER_MONO,
> &max);
> - kctl->private_value &= ~(0xff << 16);
> - kctl->private_value |= (int)max << 16;
> - snd_ac97_write_cache(ac97, AC97_MASTER_MONO, 0x8000 | max);
> }
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in Virtualbox:
> New
> Status in alsa-driver package in Ubuntu:
> Incomplete
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Descri...

Read more...

  pci 0000:00:05.0: [8086:2415] type 00 class 0x040100
 pci 0000:00:05.0: reg 0x10: [io 0xd100-0xd1ff]
pci 0000:00:05.0: reg 0x14: [io 0xd200-0xd23f]

you need to log all i/o ports read/write of those ich controller registers and ac97 codec registers read/write

since real dell dimension 8400 ad1980 support 5.1 but using ich6 controller

the emulated ich controller only support stereo

Raymond (superquad-vortex2) wrote :

the easy work around is to use emulated hda instead of emulated ac97

specify snd-hda-intel model=intel-mac-v3

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/Documentation/sound/alsa/HD-Audio-Models.txt

Raymond (superquad-vortex2) wrote :

five connectors for line-in, line-out, microphone, surround, and center/Low Frequency Effects (LFE) channel; one front-panel connector for headphones

refer to dell dimension 8400 specification

do you have any windows guest work with emulated ad1980 codec ?

Hi Gene, if you need to have some virtualbox builds feel free to just ask me, I'll upload all the patches you want to test in my ppa.
(I'll prefer to apply them on top of 5.0.2 if possible)

Download full text (5.3 KiB)

LocutusOfBorg, I am in desperate need of help on this issue in several
areas.
I would have hoped this would have been much easier to report and let you
experts work the issue however even though I can describe what I am seeing,
it is very difficult to supply the respective folks with enough
documentation to take over. I am a mainframe programmer so I understand
parts of this but not familiar with coding and debugging on this platform.

I've tried to communicate to Raymond that I do not know the proper command
syntax to perform Verbose Logging. I did see a reference to "all" in some
of the documentation however near that reference, it was clearly stated
that you probably don't want to do that. If you can let me know, the
VBoxManage debugvm commands that would be appropriate to figure out Audio
Problems, I would really appreciate it.

As to your offer of supplying latest patched to your ppa, I would take you
up on that offer however I need help with the proper commands to get those
changes into my environment. Not knowing all of the terminology, I was able
to run the SVN commands to establish a development fork on my Test system
obtained from the FAQs from the VirtualBox Forum. I have not gone into
intensive study into making updates of any of the downloaded files and what
it takes to recreate the final installation package. Last night, I removed
the VirtualBox Directory and recreated it followed by rerunning all of the
SVN, and subsequent commands(make, KMK, etc) to get the latest code. I was
able to bring up a fresh copy of VirtualBox. *If you can confirm that If I
make a source code change and repeat all commands starting with the first
Make, that is the proper steps to get that change compiled and integrated
into the test package?*

A supplemental comment to Raymond about this, You are making references in
your responses that it is easy switch to Intel HDA from emulated AC97 as a
workaround.
I went into VBox Guest Settings and made this change for the two remaining
distributions having the problem(Lubuntu and Mate).
I am attaching a Zip file of Screen Snapshots. To summarize on Lubuntu,
Slider Level defaults to Below Max level(Only controlling Master channel)
with MAXed and MINed Slider settings confirming only Master channel Level
being controlled. On Mate, The Slider Defaults at Max Level which is
inconsistent with the Master Channel Level reported by alsamixer. Then when
I MINed the Slider, the only channel that seemed to be effected was S/PDIF.
Moving the Slider did not change the Master or any of the Headhone/Speakers
channels.
This setting seems to be worse than the ICH AC97 setting.

On Sat, Sep 5, 2015 at 3:18 AM, LocutusOfBorg <<email address hidden>
> wrote:

> Hi Gene, if you need to have some virtualbox builds feel free to just ask
> me, I'll upload all the patches you want to test in my ppa.
> (I'll prefer to apply them on top of 5.0.2 if possible)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in Virtualbox:
> New
> Status in a...

Read more...

you have to post the output of alsa-info.sh if enumerated hda does not work as expected

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_sigmatel.c?id=7c7767ebe2fa847c91a0dd5551ca422aba359473

ALSA: hda - Halve too large volume scales for STAC/IDT codecs
STAC/IDT codecs have often too large volume scales such as -96dB,
and exposing this as is results in too large scale in percentage
representation.

This patch adds the check of the volume scale and halves the
volume range if it's too large automatically.

I have no idea what "the output of alsa-info.sh" is. Is this some sort of
Shell script that needs to be run?
If so, when do you run it,
a) One time only,
b)Before changing the Slider Position,

Giving me these short segments of details without specific instructions is
causing me to give up on pursuing this issue as not being able to be fixed
because it is taking too long to get you sufficient documentation to work
the issue.

On Sat, Sep 5, 2015 at 9:44 AM, Raymond <email address hidden> wrote:

> you have to post the output of alsa-info.sh if enumerated hda does not
> work as expected
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in Virtualbox:
> New
> Status in alsa-driver package in Ubuntu:
> Incomplete
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_Card: Built-in Audio - Intel 82801AA-ICH
> Symptom_Type: Volume slider, or mixer problems
> Title: [ICH - Intel 82801AA-ICH, playback] volume slider problem
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/01/2006
> dmi.bios.vendor: innotek GmbH
> dmi.bios.version: VirtualBox
> dmi.board.name: VirtualBox
> dmi.board.vendor: Oracle Corporation
> dmi.board.version: 1.2
> dmi.chassis.type: 1
> dmi.chassis.vendor: Oracle Corporation
> dmi.modalias:
> dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr:
> dmi.product.name: VirtualBox
> dmi.product.version: 1.2
> dmi.sys.vendor: innotek GmbH
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/virtualbox/+bug/1487168/+subscriptions
>

Gene Soo (genesoo77072) wrote :
Download full text (3.4 KiB)

My interpretation of this update is that I believe you are trying to
suggest that I apply this patch to correct a scaling problem with HDA,
Is that what you are trying to communicate?

Also, I understand that this code is or maybe broken but why are we working
on Intel HDA when the default ICH AC97 seems to have the problem. I would
rather work on getting the defaulted Driver correct.

On Sat, Sep 5, 2015 at 10:07 AM, Raymond <email address hidden> wrote:

>
> https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_sigmatel.c?id=7c7767ebe2fa847c91a0dd5551ca422aba359473
>
>
> ALSA: hda - Halve too large volume scales for STAC/IDT codecs
> STAC/IDT codecs have often too large volume scales such as -96dB,
> and exposing this as is results in too large scale in percentage
> representation.
>
> This patch adds the check of the volume scale and halves the
> volume range if it's too large automatically.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1487168
>
> Title:
> [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
> problem
>
> Status in Virtualbox:
> New
> Status in alsa-driver package in Ubuntu:
> Incomplete
> Status in virtualbox package in Ubuntu:
> Confirmed
>
> Bug description:
> Volume Slider is only controlling PCM channel and is not controlling
> Master. In effect, Master is restricting the audio level to the
> default of approximately 45 Percent. In order to raise the Master
> Volume Level, alsamixer is capable of changing Master. Without
> manually raising Master to Max Volume, Volume Slider can only control
> volume from 0-45% which is the default level of Master.
>
> Description: Ubuntu Wily Werewolf (development branch)
> Release: 15.10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
> Uname: Linux 4.1.0-3-generic x86_64
> ApportVersion: 2.18-0ubuntu7
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: gene 1330 F.... pulseaudio
> gene 1922 F.... alsamixer
> CurrentDesktop: Unity
> Date: Thu Aug 20 13:00:57 2015
> InstallationDate: Installed on 2015-08-19 (1 days ago)
> InstallationMedia: Edubuntu 15.10 "Wily Werewolf" - Alpha amd64
> (20150819)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_Card: Built-in Audio - Intel 82801AA-ICH
> Symptom_Type: Volume slider, or mixer problems
> Title: [ICH - Intel 82801AA-ICH, playback] volume slider problem
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/01/2006
> dmi.bios.vendor: innotek GmbH
> dmi.bios.version: VirtualBox
> dmi.board.name: VirtualBox
> dmi.board.vendor: Oracle Corporation
> dmi.board.version: 1.2
> dmi.chassis.type: 1
> dmi.chassis.vendor: Oracle Corporation
> dmi.modalias:
> dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cv...

Read more...

Hi Gene

>As to your offer of supplying latest patched to your ppa, I would take you
>up on that offer however I need help with the proper commands to get those
>changes into my environment. Not knowing all of the terminology, I was able
>to run the SVN commands to establish a development fork on my Test system
>obtained from the FAQs from the VirtualBox Forum. I have not gone into
>intensive study into making updates of any of the downloaded files and what
>it takes to recreate the final installation package. Last night, I removed
>the VirtualBox Directory and recreated it followed by rerunning all of the
>SVN, and subsequent commands(make, KMK, etc) to get the latest code. I was
>able to bring up a fresh copy of VirtualBox. *If you can confirm that If I
>make a source code change and repeat all commands starting with the first
>Make, that is the proper steps to get that change compiled and integrated
>into the test package?*

If you can compile directly from svn it is already great, otherwise if you want to
build the debian package you can just apt-get source virtualbox, enter the directory
and dpkg-buildpackage it to create the binaries.

It is up to you :)

BTW did you try the Debug switch?
Build type:
  -d, --build-debug build with debugging symbols and assertions

it is listed in configure script.

cheers,

G.

Debug should already enable some logging, otherwise please read this page
https://www.virtualbox.org/wiki/VBoxLogging
it should help you in enabling what you need to trace the problem down.

Raymond (superquad-vortex2) wrote :

> I would also guess that it is not likely that Virtual Box is the direct
 cause because the list of work distros runs on the same Virtualbox platform
 that serves the failing distros.

NO, the change of enumerated ac97 codec from stac9200 to ad1980 in virtualbox is the main cause of the problem

unfortuately enable log by dev_ac97 still not sufficient to produce useful debug info

you need to recompile alsa driver by adding those dev_info to dump the values of ac97 codec registers read/write

the worst thing is the ad1980 in dell imension 8400 did not work in the above bug report,

it is not clear how headphone and line out use/share volume control

Raymond (superquad-vortex2) wrote :

Bit = 1 ID0 ID1 ID2 ID3 ID4 ID5 ID6 ID7 ID8 ID9

Function Dedicated Mic
PCM In Channel
Modem Line Codec Support
Bass and Treble Control
Simulated Stereo (Mono to Stereo)
Headphone Out Support
Loudness (Bass Boost) Support
18-Bit DAC Resolution
20-Bit DAC Resolution
18-Bit ADC Resolution
20-Bit ADC Resolution

AD1980
0 0 0 0 1 0 0 1 0 0

a reset register of real ad1980 return 0x0090 which indicate 20 bit DAC resolution and Headphone support

but enumerated ad1980 return 0

Raymond (superquad-vortex2) wrote :

you have to specify component audio in your ticket

https://www.virtualbox.org/report/27?sort=version&asc=0&page=1

Raymond (superquad-vortex2) wrote :

to avoid the driver rename master playback volume to master surround, you need to specify

ac97->spec.ad18xx.lo_as_master = 1;

only for the enumerated ad1980 codec inside virtualbox

static int patch_ad1888(struct snd_ac97 * ac97)
{
 unsigned short misc;

 patch_ad1881(ac97);
 ac97->build_ops = &patch_ad1888_build_ops;

 /*
  * LO can be used as a real line-out on some devices,
  * and we need to revert the front/surround mixer switches
  */
 if (ac97->subsystem_vendor == 0x1043 &&
     ac97->subsystem_device == 0x1193) /* ASUS A9T laptop */
  ac97->spec.ad18xx.lo_as_master = 1;

 misc = snd_ac97_read(ac97, AC97_AD_MISC);
 /* AD-compatible mode */
 /* Stereo mutes enabled */
 misc |= AC97_AD198X_MSPLT | AC97_AD198X_AC97NC;
 if (!ac97->spec.ad18xx.lo_as_master)
  /* Switch FRONT/SURROUND LINE-OUT/HP-OUT default connection */
  /* it seems that most vendors connect line-out connector to
   * headphone out of AC'97
   */
  misc |= AC97_AD198X_LOSEL | AC97_AD198X_HPSEL;

 snd_ac97_write_cache(ac97, AC97_AD_MISC, misc);
 ac97->flags |= AC97_STEREO_MUTES;
 return 0;
}

summary: - [Emulated AD1980 AC97 inside Virualbox 5.0, playback] volume slider
- problem
+ [Emulated AD1980 AC97 inside Virualbox 5.0, playback] no master playback
+ volume
Raymond (superquad-vortex2) wrote :

static int patch_ad1980(struct snd_ac97 * ac97)
{
+ /* inside virtualbox */
+ ac97->spec.ad18xx.lo_as_master = 1;
 patch_ad1888(ac97);
 ac97->build_ops = &patch_ad1980_build_ops;
 return 0;
}

Raymond (superquad-vortex2) wrote :

what is the main reason to change ac97 codec stac9200 to ad1980 ?

https://bugs.freedesktop.org/show_bug.cgi?id=42353

pulseaudio don't like line out use master playback volume and headphone use headphone playback volume

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.